3gteam

Debian frissítési hiba
Amikor egy régebbi Debian verziót frissítünk apt-get update  parancs segítségével, az alábbi hibába futunk:
 
"There are no public key available for the following key IDs: xxxxxxxxxxxxxxxx"
 
Ennek az oka, hogy a Lennyben új GPG hitelesítő kulcs található a csomagok eredetiségének ellenőrzéséhez.
 
 
Amikor a hibaüzenetet kapjuk, jelöljük ki a kapott ID stringet (xxxxxxxxxxxxxxxx) majd írjuk be az alábbiakat root userként, vagy sudo paranccsal az elején:
gpg --recv-key --keyserver pgpkeys.mit.edu xxxxxxxxxxxxxxxx
gpg --export xxxxxxxxxxxxxxxx | apt-key add - 

ez után már kiadhatjuk az apt-get update , majd utána az apt-get dist-upgrade parancsot.

 
  • Magyar